cern.colt.function

## Interface IntIntDoubleProcedure

    public interface IntIntDoubleProcedure

Interface that represents a procedure object: a procedure that takes three arguments and does not return a value.

### Method Summary

Methods
`boolean` `apply(int first, int second, double third)` Applies a procedure to two arguments.

### Method Detail

#### apply

    boolean apply(int first,
                int second,
                double third)

Applies a procedure to two arguments. Optionally can return a boolean flag to inform the object calling the procedure.

Example: forEach() methods often use procedure objects. To signal to a forEach() method whether iteration should continue normally or terminate (because for example a matching element has been found), a procedure can return `false` to indicate termination and `true` to indicate continuation.

Parameters:
  `first` - first argument passed to the procedure.
  `second` - second argument passed to the procedure.
  `third` - third argument passed to the procedure.
Returns:
  a flag to inform the object calling the procedure.